### Enumeration

# GWeather DistanceUnit

#### Declaration

    enum GWeather.DistanceUnit

#### Description [src]

The measure unit to use for sky visibility values, when retrieved by gweather_info_get_value_visibility().

#### Members

`GWEATHER_DISTANCE_UNIT_INVALID`

  Invalid unit.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_DISTANCE_UNIT_DEFAULT`

  The user preferred distance unit.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_DISTANCE_UNIT_METERS`

  Meters.

  - Value: `2`
  - Available since: 4.0
`GWEATHER_DISTANCE_UNIT_KM`

  Kilometers (= 1000 meters).

  - Value: `3`
  - Available since: 4.0
`GWEATHER_DISTANCE_UNIT_MILES`

  Miles.

  - Value: `4`
  - Available since: 4.0